%define		enable_nls 1
Summary: 	SkipStone is a simple Gtk+ web browser that utlizes Mozilla's gecko engine.
Name: 		skipstone
Version: 	0.9.3
Release: 	1
Copyright: 	GPL
Group:		Internet
URL:            http://www.muhri.net/skipstone
Source0: 	http://www.muhri.net/skipstone/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires: 	gtk2 mozilla
BuildRequires:	gtk2-devel mozilla-devel

%description
SkipStone is a simple Gtk2 web browser that utlizes Mozilla's gecko engine.

%prep
%setup -q
%patch0 -p0

%build
make clean distclean
rm locale/{ru.po,zh_TW.Big5.po}
./configure \
    --host=i386-pc-linux-gnu \
    --build=i386-pc-linux-gnu \
    --enable-cvs-mozilla \
    --prefix=$RPM_BUILD_ROOT/usr \
    --with-localedir=$RPM_BUILD_ROOT/usr/share/locale \
    --disable-nls
make cvsmozilla=1

%install
make install PREFIX=$RPM_BUILD_ROOT/usr LOCALEDIR=$RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
rm $RPM_BUILD_ROOT/usr/bin/skipstone
mv $RPM_BUILD_ROOT/usr/bin/skipstone-bin $RPM_BUILD_ROOT/usr/bin/skipstone

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL ChangeLog COPYING README.copying
/usr/bin
/usr/share/skipstone
/usr/share/peanut
